Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.extensions
Class ExceptionTestCase

    java.lang.Object
      |
      +--junit.framework.Assert
            |
            +--junit.framework.TestCase
                  |
                  +--junit.extensions.ExceptionTestCase

public class ExceptionTestCase
extends TestCase

A TestCase that expects an Exception of class fExpected to be thrown. The other way to check that an expected exception is thrown is:

     try {
       shouldThrow();
     }
     catch (SpecialException e) {
       return;
     }
     fail("Expected SpecialException");

To use ExceptionTestCase, create a TestCase like:

     new ExceptionTestCase("testShouldThrow", SpecialException.class);

Constructor Summary
`ExceptionTestCase(java.lang.String name, java.lang.Class exception)`

Method Summary
`protected void` | `runTest()` Execute the test method expecting that an Exception of class fExpected or one of its subclasses will be thrown

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExceptionTestCase

    public ExceptionTestCase(java.lang.String name,
                             java.lang.Class exception)

Method Detail

### runTest

    protected void runTest()
                    throws java.lang.Throwable

  Execute the test method expecting that an Exception of class fExpected or one of its subclasses will be thrown
  Overrides:
    runTest in class TestCase
  Tags copied from class: TestCase
  Throws:
    java.lang.Throwable - if any exception is thrown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD